Create a Contact Reference
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactReference \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": 501,
"contactIndividualId": null,
"referenceSource": "Stripe",
"referenceId": "cus_123456"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: 501,
contactIndividualId: null,
referenceSource: 'Stripe',
referenceId: 'cus_123456'
})
};
fetch('https://api.virtuoussoftware.com/api/ContactReference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactReference"
payload = {
"contactId": 501,
"contactIndividualId": None,
"referenceSource": "Stripe",
"referenceId": "cus_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactReference");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactId\": 501,\n \"contactIndividualId\": null,\n \"referenceSource\": \"Stripe\",\n \"referenceId\": \"cus_123456\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/ContactReference",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contactId' => 501,
'contactIndividualId' => null,
'referenceSource' => 'Stripe',
'referenceId' => 'cus_123456'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/ContactReference")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contactId\": 501,\n \"contactIndividualId\": null,\n \"referenceSource\": \"Stripe\",\n \"referenceId\": \"cus_123456\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/ContactReference")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contactId\": 501,\n \"contactIndividualId\": null,\n \"referenceSource\": \"Stripe\",\n \"referenceId\": \"cus_123456\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/ContactReference';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: 501,
contactIndividualId: null,
referenceSource: 'Stripe',
referenceId: 'cus_123456'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 25,
"contactId": 501,
"contactIndividualId": null,
"referenceSource": "Stripe",
"referenceId": "cus_123456"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contact References
Create a Contact Reference
POST
/
api
/
ContactReference
Create a Contact Reference
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactReference \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": 501,
"contactIndividualId": null,
"referenceSource": "Stripe",
"referenceId": "cus_123456"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: 501,
contactIndividualId: null,
referenceSource: 'Stripe',
referenceId: 'cus_123456'
})
};
fetch('https://api.virtuoussoftware.com/api/ContactReference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactReference"
payload = {
"contactId": 501,
"contactIndividualId": None,
"referenceSource": "Stripe",
"referenceId": "cus_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactReference");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactId\": 501,\n \"contactIndividualId\": null,\n \"referenceSource\": \"Stripe\",\n \"referenceId\": \"cus_123456\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/ContactReference",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contactId' => 501,
'contactIndividualId' => null,
'referenceSource' => 'Stripe',
'referenceId' => 'cus_123456'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/ContactReference")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contactId\": 501,\n \"contactIndividualId\": null,\n \"referenceSource\": \"Stripe\",\n \"referenceId\": \"cus_123456\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/ContactReference")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contactId\": 501,\n \"contactIndividualId\": null,\n \"referenceSource\": \"Stripe\",\n \"referenceId\": \"cus_123456\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/ContactReference';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: 501,
contactIndividualId: null,
referenceSource: 'Stripe',
referenceId: 'cus_123456'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 25,
"contactId": 501,
"contactIndividualId": null,
"referenceSource": "Stripe",
"referenceId": "cus_123456"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
A Contact Reference and its numeric Virtuous record id.
Last modified on April 23, 2026
Was this page helpful?